/* CF7 Forms (Contact, Free Sample Box & Trade Credit) */

form.wpcf7-form .uacf7-form-wrapper-container {
	margin: 0;
}

form.wpcf7-form .field-wrapper {
	align-items: center;
	column-gap: 1rem;
	display: flex;
	flex-direction: row;
	justify-content: space-between;
}

form.wpcf7-form .wpcf7-form-control-wrap {
	margin: 0 0 1rem;
}

form.wpcf7-form :is(input[type="text"], input[type="tel"], input[type="email"], input[type="date"], textarea) {
	background: transparent;
	border: 1px solid var(--clr-grey);
	border-radius: 0;
	box-sizing: border-box;
	color: var(--clr-black);
	font-family: var(--font-primary);
	font-size: 1rem;
	margin: 0;
	padding: 1rem;
	line-height: normal;
	transition: var(--transition);
}

form.wpcf7-form :is(input[type="text"], input[type="tel"], input[type="email"], input[type="date"], textarea):is(:focus, :focus-visible) {
	border-color: var(--clr-primary) !important;
}

form.wpcf7-form :is(input[type="text"], input[type="tel"], input[type="email"], input[type="date"], textarea)::placeholder {
	color: var(--clr-black);
	font-family: var(--font-primary);
	font-size: 1rem;
	font-weight: 500;
	opacity: 1;
}

form.wpcf7-form input[type="submit"] {
	background: var(--clr-black);
	border: 1px solid var(--clr-black);
	border-radius: 0;
	box-sizing: border-box;
	color: var(--clr-white);
	font-family: var(--font-primary);
	font-size: 1rem;
	font-weight: 700;
	letter-spacing: 0;
	line-height: normal;
	margin: 0;
	padding: 1rem;
	text-transform: uppercase;
	transition: var(--transition);
	width: 100%;
}

form.wpcf7-form input[type="submit"]:is(:focus, :hover) {
	background: transparent;
	color: var(--clr-black);
}

form.wpcf7-form .wpcf7-spinner {
	display: none;
	visibility: hidden;
}

form.wpcf7-form .wpcf7-response-output {
	background: var(--clr-primary);
	border: 2px solid var(--clr-primary) !important;
	color: var(--clr-white) !important;
	font-family: var(--font-primary);
	font-size: 1rem;
	font-weight: 500;
	margin: 1rem 0 0 !important;
	padding: 0.75rem 1rem;
	text-align: center;
	text-transform: uppercase;
}


/* Trade Credit Account Form */

form.wpcf7-form .uacf7-multisetp-form {
	margin: 0;
}

form.wpcf7-form h4 {
	margin: 0 0 2rem;
}

form.wpcf7-form #7903step-2 h4:not(:first-of-type) {
	margin-top: 3rem;
}

form.wpcf7-form .field-wrapper label {
	flex: 1 1 100%;
}

form.wpcf7-form label span {
	margin-top: 0.25rem !important;
}

form .wpcf7-form p.label {
	margin: 0 0 0.5rem;
}

form.wpcf7-form .wpcf7-radio {
	display: block;
	margin: 0 0 2rem;
}

form.wpcf7-form .uacf7-buttons {
	display: flex;
	flex-direction: row;
	gap: 1rem;
}

form.wpcf7-form .uacf7-buttons button {
	background: var(--clr-primary);
	border: 1px solid var(--clr-primary);
	border-radius: 0;
	box-sizing: border-box;
	color: var(--clr-white);
	flex: 1 1 100%;
	font-family: var(--font-primary);
	font-size: 1rem;
	font-weight: 700;
	letter-spacing: 0;
	line-height: normal;
	margin: 0;
	padding: 1rem 2rem;
	text-align: center;
	text-transform: uppercase;
	transition: var(--transition);
}

form.wpcf7-form .uacf7-buttons button:hover {
	background: transparent;
	border: 1px solid var(--clr-primary) !important;
	color: var(--clr-primary);
}


/* WPForms (Special Offers) */

.cta-form form {
	align-items: center;
	display: flex;
	flex-direction: row;
	justify-content: center;
}

.cta-form form .wpforms-submit-container {
	padding: 0;
}

.cta-form form input[type="email"] {
	align-items: center;
	background: var(--clr-white);
	border: 1px solid var(--clr-white);
	border-radius: 0;
	box-sizing: border-box;
	color: var(--clr-black);
	display: flex;
	font-family: var(--font-primary);
	font-size: 1rem;
	font-weight: 400;
	letter-spacing: 0;
	line-height: normal;
	padding: 1rem;
	width: 18rem;
}

.cta-form form input[type="email"]::placeholder {
	color: var(--clr-black);
	font-family: var(--font-primary);
	font-size: 1rem;
	font-weight: 400;
	letter-spacing: 0;
	opacity: 1;
}

.cta-form form button.wpforms-submit {
	background: var(--clr-black);
	border: 1px solid var(--clr-black);
	border-radius: 0;
	box-sizing: border-box;
	color: var(--clr-white);
	font-family: var(--font-primary);
	font-size: 1rem;
	font-weight: 700;
	height: auto;
	letter-spacing: 1px;
	line-height: normal;
	padding: 1rem 2rem;
}

.cta-form form button.wpforms-submit:hover {
	background: transparent;
	border: 1px solid var(--clr-white);
	color: var(--clr-white);
}


/* Custom Forms (Search) */

.search,
.search form.search-form {
	width: 100%;
}

.header-main .search {
	flex: 1;
}

.search form.search-form input.search-input {
	align-items: center;
	background: var(--clr-white);
	border: 1px solid var(--clr-white);
	border-radius: 0;
	box-sizing: border-box;
	color: var(--clr-black);
	display: flex;
	flex: 1;
	font-family: var(--font-primary);
	font-size: 1rem;
	justify-content: center;
	letter-spacing: 0;
	line-height: normal;
	padding: 0.75rem 1rem;
}

.header-main .search form.search-form input.search-input,
.archive .sidebar .search form.search-form input.search-input {
	border-color: var(--clr-grey);
}

.search form.search-form input.search-input:focus {
	border-color: var(--clr-primary) !important;
}

.search form.search-form input.search-input::placeholder {
	color: var(--clr-black);
	font-family: var(--font-primary);
	font-size: 1rem;
	letter-spacing: 0;
	opacity: 1;
}

.search form.search-form button.search-button {
	background: transparent;
	border: none;
	border-radius: 0;
	font-size: 1.125rem;
	padding: 0;
	position: absolute;
	right: 1rem;
}

.search form.search-form button.search-button:hover {
	color: var(--clr-primary);
}


/* Shipping Calculator Form (Cart) */

.cart-section .shipping-calculator-form {
	margin: 1rem 0 0;
}

.cart-section .shipping-calculator-form p {
	margin: 0;
	padding: 0;
}

.cart-section .shipping-calculator-form p:not(:last-of-type) {
	margin: 0 0 1rem;
}

.cart-section .shipping-calculator-form label {
	font-family: var(--font-primary);
	font-size: 0.875rem !important;
	font-weight: 500 !important;
	line-height: 1 !important;
	margin: 0 0 0.5rem;
}

.cart-section .shipping-calculator-form .select2-selection--single {
	background-position: 96% 50%;
	border: 1px solid var(--clr-grey);
	border-radius: 0;
	box-sizing: border-box;
	color: var(--clr-black);
	font-family: var(--font-primary);
	font-size: 1rem;
	line-height: normal;
	margin: 0;
	min-height: 55px;
	padding: 1rem;
}

.cart-section .shipping-calculator-form .select2-selection--single:hover,
.cart-section .shipping-calculator-form .select2-selection--single:focus {
	border: 1px solid var(--clr-primary) !important;
	outline: none;
}

.cart-section .shipping-calculator-form input[type="text"] {
	background: transparent;
	border: 1px solid var(--clr-grey);
	border-radius: 0;
	box-sizing: border-box;
	color: var(--clr-black);
	font-family: var(--font-primary);
	font-size: 1rem;
	line-height: normal;
	margin: 0;
	padding: 1rem;
}

.cart-section .shipping-calculator-form input[type="text"]:hover,
.cart-section .shipping-calculator-form input[type="text"]:focus {
	border: 1px solid var(--clr-primary) !important;
	outline: none;
}

.cart-section .shipping-calculator-form button {
	background: var(--clr-primary);
	border: 1px solid var(--clr-primary);
	border-radius: 0;
	box-sizing: border-box;
	color: var(--clr-white);
	font-family: var(--font-primary);
	font-size: 1rem;
	font-weight: 700;
	letter-spacing: 0px;
	line-height: normal;
	margin: 0;
	padding: 1rem;
	text-transform: uppercase;
	width: 100%;
}

.cart-section .shipping-calculator-form button:hover {
	background: transparent;
	border-color: var(--clr-primary);
	color: var(--clr-primary);
}

ul#select2-calc_shipping_country-results,
ul#select2-calc_shipping_state-results {
	display: block;
}